org.acplt.oncrpc.server

## Class OncRpcServerTransportRegistrationInfo

- java.lang.Object
- - org.acplt.oncrpc.server.OncRpcServerTransportRegistrationInfo

    public class OncRpcServerTransportRegistrationInfo
    extends java.lang.Object

The class `OncRpcServerTransportRegistrationInfo` holds information about (possibly multiple) registration of server transports for individual program and version numbers.

Version:
  $Revision: 1.1.1.1 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`int` `program` Number of ONC/RPC program handled.
`int` `version` Version number of ONC/RPC program handled.

### Constructor Summary

Constructors
Constructor and Description
`OncRpcServerTransportRegistrationInfo(int program, int version)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### program

    public int program

Number of ONC/RPC program handled.

#### version

    public int version

Version number of ONC/RPC program handled.

### Constructor Detail

#### OncRpcServerTransportRegistrationInfo

    public OncRpcServerTransportRegistrationInfo(int program,
                                         int version)

Parameters:
  `program` - Number of ONC/RPC program handled by a server transport.
  `version` - Version number of ONC/RPC program handled.